# WildcardTypeMatcher

data class WildcardTypeMatcher (val upperBounds: List < TypeMatcher > = emptyList(), val lowerBounds: List < TypeMatcher > = emptyList()) : TypeMatcher

A TypeMatcher that matches a wildcard type.

#### Parameters

upperBounds

the upper bounds of the wildcard type.

lowerBounds

the lower bounds of the wildcard type.

#### See also

WildcardType.getUpperBounds
WildcardType.getLowerBounds

## Constructors

WildcardTypeMatcher
Link copied to clipboard
constructor(upperBounds: List < TypeMatcher > = emptyList(), lowerBounds: List < TypeMatcher > = emptyList())

## Properties

lowerBounds
Link copied to clipboard
val lowerBounds : List < TypeMatcher >
upperBounds
Link copied to clipboard
val upperBounds : List < TypeMatcher >

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
open override fun matches (type: Type ): Boolean

Check if the type matches the given type.